<?php

namespace mirzaev\yii2\arangodb;

use yii\base\BaseObject;

class AqlExpression extends BaseObject
{
    /**
     * @var string the AQL expression represented by this object
     */
    public $expression;


    /**
     * Constructor.
     * @param string $expression the AQL expression represented by this object
     * @param array $config additional configurations for this object
     */
    public function __construct($expression, $config = [])
    {
        $this->expression = $expression;
        parent::__construct($config);
    }

    /**
     * The PHP magic function converting an object into a string.
     * @return string the AQL expression.
     */
    public function __toString()
    {
        return $this->expression;
    }
}
